bash -c '
<%= "export https_proxy=\"#{knife_config[:bootstrap_proxy]}\"" if knife_config[:bootstrap_proxy] -%>

mkdir -p /etc/chef
mkdir -p /var/log/chef
touch /var/log/chef/client.log

cat > /etc/chef/validation.pem <<'EOP'
<%= validation_key %>
EOP
chmod 0600 /etc/chef/validation.pem

cat > /etc/chef/client.rb <<'EOP'
<%= config_content.concat "\nssl_verify_mode :verify_none\nverify_api_cert false\nlog_location \"/var/log/chef/client.log\"\nlog_level :info" %>
EOP

cat > /etc/chef/first-boot.json <<'EOP'
<%= first_boot.to_json "role[base]" %>
EOP


echo "Starting first Chef Client run..."

<%= start_chef %>'
